Delete a scope from the Authorization Server.
Resource URL
https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/scopes/:scope_idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | The id of the authorization server. |
scope_id required integer | The id of the scope. |
Sample Responses
- 204 No Content
- 401 Unauthorized
- 404 Not Found
Success. The scope is deleted. No content is returned.Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Invalid API Authorization Server ID
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Delete a Scope
curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/scopes/:scope_id' \
-X DELETE \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.